<!DOCTYPE html>
<html>
	<head>
		<title> Assignment 4 Bar Chart </title> 
		<script src="https://d3js.org/d3.v6.min.js"></script>
		<style>
			.rect{
				fill: mediumpurple;
				stroke: black;
			}
		</style>
	</head>

	<body>
		<div id = "scatterPlot"></div>
		<script>
			//Svg and graph set up
			const svgH = 600;
			const svgW = 600;
			const margins = {top: 70, bottom: 70, left: 70, right: 70};
			const H = svgH - margins.bottom - margins.top;
			const W = svgW - margins.left - margins.right;

			const svg = d3.select("#scatterPlot")
				.append("svg")
				.attr("height", svgH)
				.attr("width", svgW);

			const graph = svg.append("g")
				.attr("transform", `translate(100, ${margins.top})`);

			//Import Data
				d3.csv('https://raw.githubusercontent.com/Ahuynh111/gist-practice/main/AttackAverages.csv', function(d){
					return{
						Fire: +d.Fire,
						Generation: d.Generation
					};
				}).then(function(d1){
					console.log(d1);
					
					//scales x - attack, y - defense
					const xscale = d3.scaleBand()
						.domain(d1.map(function(z){
							return(z.Generation)
						}))
						.range([0,W]);

					const yscale = d3.scaleLinear()
						.domain([0, d3.max(d1, function(z){
							return(z.Fire)
						})])
						.range([H,0]);

					//axes
						graph.append("g")
							.attr("transform", `translate(0,${H})`)
							.call(d3.axisBottom(xscale));

						graph.append("g")
							.call(d3.axisLeft(yscale).ticks(10));

					//graphing 
							graph.selectAll(".rect")
							.data(d1)
							.enter()
							.append("rect")
							.attr("class", "rect")
							.attr("x", z => xscale(z.Generation))
							.attr("y", function(z){
								return(yscale(z.Fire));
							})
							.attr("width", 50)
							.attr("height", function(z){
								return(H - yscale(z.Fire))
							})
					//labels
						svg.append("text")
							.text("Generations")
							.attr("x", svgW/2)
							.attr("y", svgH - margins.bottom/4);
						svg.append("text")
							.text("Attack Power")
							.attr("x", 10)
							.attr("y", H/2);
						svg.append("text")
							.text("Average Fire Pokemon Attack")
							.attr("x", W/2)
							.attr("y", 50)
				})
		</script>
	</body>
</html>